PMAP_CHANGE_WIRING(9)

NAME
pmap_change_wiring - change physical wiring for a map or virtual address pair

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_change_wiring(pmap_t pmap, vm_offset_t va, boolean_t wired);

DESCRIPTION
The pmap_change_wiring() function changes the wiring attribute for the page at virtual address va in the physical map pmap. A wired page gets its name from being “wired” into the system page tables so that it will not be paged out.

The mapping must already exist in the pmap. If wired is TRUE, the map's wired page count will be incremented; if FALSE, it will be decremented.

It is typically called by the vm_fault_unwire() function.

SEE ALSO
pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.